# -*- coding: utf-8 -*-

import re
    
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※　　　【免空科學研究所　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】　　　※")
UI.UpdateLog("※　　　～㊣　　　　　　　　　楓　　　痕　　製作分享　　　　　㊣～　　　※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")

UI.UpdateLog("【腳本更新】：2013.03.13 楓痕 修正原始冏rz內附腳本",2)
UI.UpdateLog("【上傳空間】：sadpanda.us",2)
UI.UpdateLog("【上傳大小】：未知 MB",2)
UI.UpdateLog("【砍檔時間】：未知",2)
UI.UpdateLog("【腳本功能】：無帳號上傳",1)
UI.UpdateLog("【腳本備註】：支援各32/64位元Windows系列",1)
HTTP.ClearProcedureData()
UI.UpdateLog("上傳至sadpanda.us..",2)
UI.UpdateLog("開始上傳....",4)
HTTP.AddFileReference("image","image/jpeg")
HTML=UI.UpFile("http://sadpanda.us/upload.php")
image1 = re.search("text\" value\=\"([^\"]+)",HTML)
if image1 == None:
        UI.UpdateLog("※無法找到圖片網址..."+HTML,3)
        UI.ProceFalse()
else:
        imagelink = image1.group(1)
        Hotlink1=(imagelink)
        Hotlink2=("[IMG]"+imagelink+"[/IMG]")
        UI.UpdateLog("連結 【1】"+Hotlink1,3)
        UI.UpdateLog("連結 【2】"+Hotlink2,3)
        UI.AddShareLink(Hotlink1+"^"+Hotlink2)
        UI.ProceSuccess()